Page MenuHomePhabricator

App: Add failover between the different ways to download JSON page content
Closed, ResolvedPublic

Description

Definitions:
old way = php api
new way = nodejs json route

We want to have a way to sample based on server config so this doesn't depend on app version. We should also plan on having some sort of automatic fail-over mechanism in the clients, so that if the new way doesn't work the client would fall back to the old way for the subsequent requests. Ideally we would do this seamlessly for the user. But if it may require the user to reload a page that might be acceptable IMO if it makes our code much simpler.

  • Read server config
  • Sample using new route based on config value (initially not for production app)
  • Automatically fallback to old way if the new way fails

Event Timeline

bearND created this task.Jul 3 2015, 5:55 PM
bearND raised the priority of this task from to Needs Triage.
bearND updated the task description. (Show Details)
bearND moved this task to Backlog on the Mobile-Content-Service board.
bearND added a subscriber: bearND.
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptJul 3 2015, 5:55 PM
bearND triaged this task as Normal priority.Aug 12 2015, 2:19 AM
bearND set Security to None.
bearND updated the task description. (Show Details)
Mholloway moved this task from Backlog to Doing on the Mobile-Content-Service board.
Mholloway moved this task from Doing to Backlog on the Mobile-Content-Service board.
bearND claimed this task.Oct 2 2015, 4:51 AM
bearND updated the task description. (Show Details)
bearND moved this task from To Do to Doing on the Mobile-App-Android-Sprint-67-Holmium board.
bearND moved this task from Backlog to Code Review on the Mobile-Content-Service board.

General regression testing is done with 2.0.131-alpha-2015-10-16(Nexus 5 (Android 5.1.1) and Samsung Model number GT-I9505G(Android 4.4.4).

Dbrant closed this task as Resolved.Oct 26 2015, 3:17 PM